From a12208dd668c440b68c4151bb5e9f7013468c358 Mon Sep 17 00:00:00 2001
From: Zhao Junwang <zhjwpku@gmail.com>
Date: Thu, 15 Aug 2024 07:01:52 +0000
Subject: [PATCH v1] replace magic num in struct cachedesc with CATCACHE_MAXKEYS

Signed-off-by: Zhao Junwang <zhjwpku@gmail.com>
---
 src/backend/utils/cache/syscache.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/cache/syscache.c b/src/backend/utils/cache/syscache.c
index 3e03dfc991..793919c128 100644
--- a/src/backend/utils/cache/syscache.c
+++ b/src/backend/utils/cache/syscache.c
@@ -68,7 +68,7 @@ struct cachedesc
 	Oid			reloid;			/* OID of the relation being cached */
 	Oid			indoid;			/* OID of index relation for this cache */
 	int			nkeys;			/* # of keys needed for cache lookup */
-	int			key[4];			/* attribute numbers of key attrs */
+	int			key[CATCACHE_MAXKEYS];	/* attribute numbers of key attrs */
 	int			nbuckets;		/* number of hash buckets for this cache */
 };
 
-- 
2.39.2

